summaryrefslogtreecommitdiff
blob: 921159c8df25d3723f148eb8d8905a2554730158 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
616
617
618
619
620
621
622
623
624
625
626
627
628
629
630
631
632
633
634
635
636
637
638
639
640
641
642
643
644
645
646
647
648
649
650
651
652
653
654
655
656
657
658
659
660
661
662
663
664
665
666
667
668
669
670
671
672
673
674
675
676
677
678
679
680
681
682
683
684
685
686
687
688
689
690
691
692
693
694
695
696
697
698
699
700
701
702
703
704
705
706
707
708
709
710
711
712
713
714
715
716
717
718
719
720
721
722
723
724
725
726
727
728
729
730
731
732
733
734
735
736
737
738
739
740
741
742
743
744
745
746
747
748
749
750
751
752
753
754
755
756
757
758
759
760
761
762
763
764
765
766
767
768
769
770
771
772
773
774
775
776
777
778
779
780
781
782
783
784
785
786
787
788
789
790
791
792
793
794
795
796
797
798
799
800
801
802
803
804
805
806
807
808
809
810
811
812
813
814
815
816
817
818
819
820
821
822
823
824
825
826
827
828
829
830
831
832
833
834
835
836
837
838
839
840
841
842
843
844
845
846
847
848
849
850
851
852
853
854
855
856
857
858
859
860
861
862
863
864
865
866
867
868
869
870
871
872
873
874
875
876
877
878
879
880
881
882
883
884
885
886
887
888
889
890
891
892
893
894
895
896
897
898
899
900
901
902
903
904
905
906
907
908
909
910
911
912
913
914
915
916
917
918
919
920
921
922
923
924
925
926
927
928
929
930
931
932
####################################################################
#
# When you add an entry to the top of this file, add your name, the date
# in the UTC timezone, and an explanation of why something is getting masked.
# Please be extremely careful not to commit atoms that are not valid, as it can
# cause large-scale breakage, especially if it ends up in the daily snapshot.
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masking  these versions until we can get the
## # v4l stuff to work properly again
## =media-video/mplayer-0.90_pre5
## =media-video/mplayer-0.90_pre5-r1
#
# - Best last rites (removal) practices -
# Include the following info:
# a) reason for masking
# b) bug # for the removal (and yes you should have one)
# c) date of removal (either the date or "in x days")
#
## Example:
##
## # Dev E. Loper <developer@gentoo.org> (2019-07-01)
## # Masked for removal in 30 days.  Doesn't work
## # with new libfoo. Upstream dead, gtk-1, smells
## # funny. (bug #987654)
## app-misc/some-package

#--- END OF EXAMPLES ---

# Michał Górny <mgorny@gentoo.org> (2019-11-08)
# Ancient vulnerable version of NumPy, plus all its revdeps.
# Removal in 30 days.  Bug #627962.
<dev-python/numpy-1.14.5
dev-python/pyclimate
dev-python/scientificpython
sci-chemistry/parassign
sci-chemistry/pymol-plugins-psico
sci-libs/mmtk

# Michał Górny <mgorny@gentoo.org> (2019-11-08)
# Obsolete binary version.  Please use www-apps/trickster instead.
# Removal in 30 days.  Bug #694884.
www-apps/trickster-bin

# Sergei Trofimovich <slyfox@gentoo.org> (2019-11-07)
# Development stalled. Fails to build against modern
# postgresql: bug #697452. Masked for removal in 30 days.
dev-haskell/hsql-postgresql

# Thomas Deutschmann <whissi@gentoo.org> (2019-11-07)
# EAPI 0. It's been almost a decade since that openssl bug.
# Removal in 30 days.  Bug #697218.
net-misc/openssh-blacklist

# Michał Górny <mgorny@gentoo.org> (2019-11-06)
# EAPI 0.  Last upstream release in 2006.
# Removal in 30 days.  Bug #697372.
app-text/info2html

# Michał Górny <mgorny@gentoo.org> (2019-11-06)
# EAPI 0.  Last bumped in 2004.  Upstream is active, so this really
# needs a major version bump.  Multiple bugs reported.
# Removal in 30 days.  Bug #697392.
app-misc/matew

# Michał Górny <mgorny@gentoo.org> (2019-11-06)
# EAPI 0.  Last bumped in 2008.  Homepage gone.
# Removal in 30 days.  Bug #697156.
www-apps/mod_survey

# Michał Górny <mgorny@gentoo.org> (2019-11-06)
# EAPI 0.  Last bumped in 2005.  Homepage gone.
# Removal in 30 days.  Bug #697154.
www-apps/drraw

# Michał Górny <mgorny@gentoo.org> (2019-11-06)
# EAPI 0.  Last bumped in 2008.  Homepage gone.  No revdeps.
# Removal in 30 days.  Bug #697238.
net-misc/hsc

# Michał Górny <mgorny@gentoo.org> (2019-11-06)
# EAPI 0.  Last bumped in 2004, and no new releases since.
# Removal in 30 days.  Bug #697286.
media-gfx/opcion

# Michał Górny <mgorny@gentoo.org> (2019-11-06)
# Old EAPI 0 graphics-related packages.
#
# media-gfx/aoi was last bumped in Nov 2009.  It is still actively
# developed upstream, and it's waiting for a bump since Dec 2009.
# It suffers from bundled dependencies (#177026).
#
# media-gfx/exiftags was last bumped in 2007.  It did not have any new
# releases since, and does not seem to have any unique features.
# media-gfx/exiv2 seems to be a more commonly installed replacement.
#
# Removal in 30 days.  Bug #697288.
media-gfx/aoi
media-gfx/exiftags

# Andreas Sturmlechner <asturm@gentoo.org> (2019-11-05)
# Ships broken libssh-config module breaking build of revdeps, bug #698940
=net-libs/libssh-0.9.1

# Michał Górny <mgorny@gentoo.org> (2019-11-05)
# The following packages are unmaintained and have incorrect LICENSE
# entries.  All of them have additional bugs reported.
#
# app-admin/certmgr: #694690
# app-admin/ksonnet: #694710
# Removal in 30 days.
app-admin/certmgr
app-admin/ksonnet

# Mikle Kolyada <zlogene@gentoo.org> (2019-11-04)
# xcolor has been a part of dev-texlive/texlive-latexrecommended
# for a long time, removal in 10 days.
dev-tex/xcolor

# Alfredo Tupone <tupone@gentoo.org> (2019-11-03)
# No more needed. Substituted by dev-ada/gnatcoll-core and others
# Removal in 30 days.
dev-ada/gnatcoll

# Thomas Deutschmann <whissi@gentoo.org> (2019-11-03)
# Infinite loop in TAILQ_FOREACH_SAFE when running for some time
# Bug #698856
=net-misc/dhcpcd-8.1.1

# Michał Górny <mgorny@gentoo.org> (2019-11-03)
# Discontinued upstream.  Relies on app-portage/flaggie make.conf
# editing support that was fragile and therefore was removed.
# Removal in 30 days.  Bug #699244.
app-portage/install-mask

# Michał Górny <mgorny@gentoo.org> (2019-11-03)
# This was only used by my packages, and the last revdep is gone now.
# Removal in 14 days.  Bug #699238.
sys-devel/systemd-m4

# Alfredo Tupone <tupone@gentoo.org> (2019-11-03)
# The binary for gps are included in dev-ada/gnat-suite-bin
# Removal in 30 days.
dev-ada/gps-bin

# Michał Górny <mgorny@gentoo.org> (2019-11-01)
# Removal in 14 days.  Bug #699072.

# Andreas K. Hüttel <dilfridge@gentoo.org> (2019-10-30)
# In preparation...
=dev-lang/perl-5.30.1*
~virtual/perl-Module-CoreList-5.201.910.270

# Hasan ÇALIŞIR <hasan.calisir@psauxit.com> (2019-10-28)
# OpenVAS project name has been renamed in
# Greenbone Vulnerability Management (GVM).
# New loader package is net-analyzer/gvm.
# Masked for removal in 30 days. Bugs #692004 #692076
net-analyzer/openvas
<=net-analyzer/openvas-libraries-8.0.0
net-analyzer/openvas-cli
net-analyzer/openvas-tools
dev-ruby/openvas-omp

# Andreas Sturmlechner <asturm@gentoo.org> (2019-10-26)
# Version in Gentoo is years old, does not work, no one stepped up
# to maintain it. Package needs Google API key to actually work.
# Removal in 30 days. Bug #608334
media-video/minitube

# Lars Wendler <polynomial-c@gentoo.org> (2019-10-26)
# Breaks at least libreoffice (and perhaps more revdeps)
~app-text/poppler-0.82.0

# Michał Górny <mgorny@gentoo.org> (2019-10-26)
# Incorrect LICENSE entry, and no clear license information to be found.
# Homepage gone, and source of some of the files unknown.
# Removal in 30 days.  Bug #698050.
media-fonts/vc-fonts

# Hans de Graaff <graaff@gentoo.org> (2019-10-25)
# ruby24-only, no longer supported by upstream.
# Migrate to Rails 5.2 instead. Masked for removal in 30 days.
dev-ruby/rails:5.1
dev-ruby/railties:5.1
dev-ruby/activerecord:5.1
dev-ruby/actionmailer:5.1
dev-ruby/actionpack:5.1
dev-ruby/actionview:5.1
dev-ruby/activejob:5.1
dev-ruby/actioncable:5.1
dev-ruby/activemodel:5.1
dev-ruby/activesupport:5.1
dev-ruby/arel:8.0

# Andreas Sturmlechner <asturm@gentoo.org> (2019-10-24)
# Collides with kde-apps/systemsettings, unmaintained upstream.
# Use app-admin/systemdgenie instead. Removal in 30 days. Bug #698448
kde-misc/systemd-kcm

# Matt Turner <mattst88@gentoo.org> (2019-10-21)
# Replaced by introspection bindings. Bug #628938
# Removal in 30 days
dev-python/gnome-keyring-python

# Matthew Thode <prometheanfire@gentoo.org> (2019-10-20)
# defunct upstream, removal in 30 days. Bug #611580
app-emulation/openstack-guest-agents-unix

# Michał Górny <mgorny@gentoo.org> (2019-10-20)
# Fails to build.  Last release in 2009.  The stable version is EAPI 0.
# Removal in 30 days.  Bug #698162.
net-analyzer/nagios-sap-ccms-plugin

# Michał Górny <mgorny@gentoo.org> (2019-10-20)
# Testing version that breaks multiple plugins.  Let's keep it masked
# until upstream releases fixed versions.
~xfce-base/xfce4-panel-4.15.0

# Michał Górny <mgorny@gentoo.org> (2019-10-20)
# The XFCE GTK+ engines have been abandoned upstream.  They do not work
# well with modern GTK+ versions, and have no seen any updates
# since 2015.
# Removal in 30 days.  Bug #577252.
x11-themes/gtk-engines-xfce

# Andreas Sturmlechner <asturm@gentoo.org> (2019-10-20)
# Full of ancient StarOffice era templates, last updated in 2006.
# Removal in 30 days. Bug #697400
app-office/ooextras

# Hans de Graaff <graaff@gentoo.org> (2019-10-19)
# ruby24-only packages with no reverse dependencies and no recent
# releases. Masked for removal in 30 days.
dev-ruby/cocaine
dev-ruby/debugger-linecache
dev-ruby/escape_utils
dev-ruby/ruby-beautify
dev-ruby/termcolor
dev-ruby/terrapin
www-servers/thin

# Michał Górny <mgorny@gentoo.org> (2019-10-20)
# A dummy package with no revdeps.  Replaced by app-text/rarian.
# Removal in 30 days.  Bug #697376.
app-text/scrollkeeper

# David Seifert <soap@gentoo.org> (2019-10-19)
# EAPI 0, tarball completely broken, only contains
# symlinks to /usr/portage/distdir.
# Removal in 15 days. Bug #697306.
media-fonts/jsmath-extra-light

# David Seifert <soap@gentoo.org> (2019-10-19)
# EAPI 0, broken build system, unmaintained,
# Removal in 30 days.  Bug #679304, #688906, #697356.
app-i18n/scim-wnn
dev-libs/wnn7sdk

# Michał Górny <mgorny@gentoo.org> (2019-10-19)
# sci-chemistry/ccpn is unfetchable and mirror-restricted.
# sci-chemistry/aria is its reverse dependency which can't be installed
# as a result.
# sci-chemistry/cns is fetch-restricted and the package request form
# is dead.  Also, its only dependency is aria.
# Removal in 30 days.  Bug #695784.
sci-chemistry/aria
sci-chemistry/ccpn
sci-libs/ccpn-data
sci-chemistry/cns

# Michał Górny <mgorny@gentoo.org> (2019-10-19)
# The Linux installer/update is unfetchable, and can't be redistributed.
# Removal in 30 days.  Bug #695778.
games-fps/postal2

# Michał Górny <mgorny@gentoo.org> (2019-10-19)
# Upstream homepage and sources are gone.  The license raises doubt
# as to whether we can redistribute it.  No new releases since being
# added in 2005.
# Removal in 30 days.  Bug #694926.
sci-biology/ariadne

# Michał Górny <mgorny@gentoo.org> (2019-10-19)
# Unmaintained package with incorrect LICENSE and a failing build
# (#679204).
# Removal in 30 days.  Bug #694450.
sys-auth/sakcl

# Agostino Sarubbo <ago@gentoo.org> (2019-10-18)
# Superseded by app-admin/checksec
# Removal in 30 days.
app-admin/hardening-check

# Thomas Deutschmann <whissi@gentoo.org> (2019-10-17)
# clamav-milter completely broken, #697688
~app-antivirus/clamav-0.102.0

# Michał Górny <mgorny@gentoo.org> (2019-10-17)
# Homepage gone.  EAPI 0.  Used to be used with old versions
# of www-apps/gallery that were removed back in 2016.
# Removal in 30 days.  Bug #697280.
media-gfx/galleryadd

# David Seifert <soap@gentoo.org> (2019-10-17)
# Dead upstream, EAPI 0, low quality ebuild,
# hasn't been touched in ages
# Removal in 30 days.  Bug #697274.
media-sound/mserv

# Mikle Kolyada <zlogene@gentoo.org> (2019-10-16)
# not needed due to openpam removal. Please
# update your packages running emerge with the
# --changed-deps option if you have problems
# with your system.
virtual/pam

# Lars Wendler <polynomial-c@gentoo.org> (2019-10-16)
# Depends on apache-2.2
dev-libs/OpenSRF

# Lars Wendler <polynomial-c@gentoo.org> (2019-10-16)
# Masked for removal (bug #692088)
=app-admin/apache-tools-2.2*
=www-servers/apache-2.2*

# Miroslav Šulc <fordfrog@gentoo.org> (2019-10-16)
# Depends on >=virtual/{jdk,jre}-11 which is masked
=www-servers/tomcat-9.0.27

# Miroslav Šulc <fordfrog@gentoo.org> (2019-10-16)
# Depends on >=virtual/{jdk,jre}-11 which is masked
dev-java/ant-eclipse-ecj:4.13
dev-java/eclipse-ecj:4.13

# Sergei Trofimovich <slyfox@gentoo.org> (2019-10-16)
# Binary-only slot that provides libmpfr.so.1. If you need that
# library please add a note to describe use case to the bug #697822.
# Masked for removal in a year.
dev-libs/mpfr:1

# Sergei Trofimovich <slyfox@gentoo.org> (2019-10-16)
# Binary-only slot that provides libgmp.so.3. If you need that
# library please add a note to describe use case to the bug #697826.
# Masked for removal in a year.
dev-libs/gmp:3

# Andreas Sturmlechner <asturm@gentoo.org> (2019-10-15)
# Unmaintained and broken with current Frameworks.
# Removal in 30 days. Bug #697780
net-misc/knemo

# Andreas K. Hüttel <dilfridge@gentoo.org> (2019-10-15)
# Fails self-tests badly, no revdeps, upstream doesnt care
# since 1999. Removal in 30 days. Bug 641530.
dev-perl/NetxAP

# Nick Sarnie <sarnex@gentoo.org> (2019-10-14)
# No longer updated or supported by the Wine project
# wine-any has no value without wine-d3d9
# Please use app-emulation/gallium-nine-standalone instead
# Removal in 30 days
app-emulation/wine-any

# Michał Górny <mgorny@gentoo.org> (2019-10-13)
# Last release in 2008.  Declared dead upstream, apparently broken
# on newer systems.  EAPI 0.
# Removal in 30 days.  Bug #697384.
app-office/eqe

# Michał Górny <mgorny@gentoo.org> (2019-10-12)
# Utility library that is used only by net-analyzer/bsnmp
# (to be removed).
# Removal in 30 days.  Bug #683284.
dev-libs/libbegemot

# Michał Górny <mgorny@gentoo.org> (2019-10-12)
# Bad quality package.  Last commit in 2016 (unpackaged in Gentoo).
# GTK+2 only.  Most of the settings provided are also found in xfwm4
# settings dialog.
# Removal in 30 days.  Bug #697546.
xfce-extra/xfce4-composite-editor

# David Seifert <soap@gentoo.org> (2019-10-12)
# Last release over 6.5 years ago, no code activity.
# Scons build system very brittle, python 3 impl bumps
# painful, no python 3.7, No reverse dependencies.
# Removal in 30 days.  Bug #683140, #690800.
dev-python/cgkit

# Mike Gilbert <floppym@gentoo.org> (2019-10-11)
# Inactive upstream for many years.
# Several open bugs.
# Please migrate to sys-apps/man-db.
sys-apps/man

# Mike Pagano <mpagano@gentoo.org> (2019-10-11)
# kenel incorrectly specifics a version
# not included in enpatches tarball 
# This can be removed in 2019-11-11
=sys-kernel/gentoo-sources-5.3.6

# Michał Górny <mgorny@gentoo.org> (2019-10-10)
# Upstream gone.  Last bumped in 2006.  EAPI 0.  net-misc/sipcalc seems
# like a good replacement.
# Removal in 30 days.  Bug #697236.
net-misc/ipsc

# Michał Górny <mgorny@gentoo.org> (2019-10-10)
# Unmaintained.  Does not build.  EAPI 0.
# Removal in 30 days.  Bug #696294.
mail-mta/qmail-ldap

# Michał Górny <mgorny@gentoo.org> (2019-10-07)
# Unmaintained.  A few versions behind upstream.  Forces an old version
# of dev-java/ant-contrib.
# Removal in 30 days.  Bug #696916.
net-im/openfire

# Michał Górny <mgorny@gentoo.org> (2019-10-04)
# Unmaintained, EAPI 0 packages.  No reverse dependencies.  If you want
# them to stay, please port them to EAPI 7, and preferably become
# the maintainer.
# Removal in 30 days.  Bug #696252.
mail-filter/clamsmtp

# Michał Górny <mgorny@gentoo.org> (2019-10-04)
# Unmaintained, EAPI 0 packages.  No reverse dependencies.  If you want
# them to stay, please sacrifice the 30 minutes of your life needed
# to port them to EAPI 7, recheck license, update URIs, etc.
# Removal in 30 days.  Bug #696248.
app-dicts/dictd-devils
app-dicts/dictd-dicts
app-dicts/dictd-elements
app-dicts/dictd-foldoc
app-dicts/dictd-gazetteer
app-dicts/dictd-jargon
app-dicts/dictd-misc
app-dicts/dictd-web1913

# Brian Evans <grknight@gentoo.org> (2019-10-01)
# End of life.  Please upgrade.
# Removal in 90 days. Bug 651784
dev-lang/php:5.6
virtual/httpd-php:5.6

# Brian Evans <grknight@gentoo.org> (2019-10-01)
# Requires end of life PHP 5.6.  Please upgrade.
# Removal in 90 days. Bug 651784
=www-apps/rutorrent-3.4-r1

# Brian Evans <grknight@gentoo.org> (2019-10-01)
# Old slots for support of PHP <7
# Removal in 90 days. Bug 651784
dev-php/pecl-apcu:0
dev-php/pecl-dbase:0
dev-php/pecl-http:2
dev-php/pecl-mailparse:0
dev-php/pecl-memcached:0
dev-php/pecl-oauth:0
dev-php/pecl-propro:0
dev-php/pecl-ps:0
dev-php/pecl-raphf:0
dev-php/pecl-rrd:0
dev-php/pecl-ssh2:0
dev-php/pecl-stomp:0
dev-php/pecl-xdiff:0
dev-php/pecl-yaml:0

# Brian Evans <grknight@gentoo.org> (2019-10-01)
# Old extensions which only work with PHP <7
# pecl-memcache is replaced by pecl-memcachd (with code changes)
# pecl-mongo is replaced by pecl-monogodb
# Removal in 90 days. Bug 651784
dev-php/PEAR-MDB2_Driver_mysql
dev-php/magickwand
dev-php/pecl-bbcode
dev-php/pecl-cairo
dev-php/pecl-dbx
dev-php/haru
dev-php/pecl-htscanner
dev-php/pecl-libevent
dev-php/pecl-memcache
dev-php/pecl-mongo
dev-php/pecl-mysqlnd_ms
dev-php/pecl-mysqlnd_qc
dev-php/pecl-sphinx
dev-php/pecl-spl_types
dev-php/pecl-svn
dev-php/pecl-xrange
dev-php/suhosin
dev-php/xcache
<dev-php/xhprof-0.9.10

# Stefan Strogin <steils@gentoo.org> (2019-09-27)
# Requires >=dev-lang/lua-5.3 which is masked
>=dev-util/bam-0.5.0

# Miroslav Šulc <fordfrog@gentoo.org> (2019-09-21)
# Depends on >=virtual/{jdk,jre}-11 which is masked
=www-servers/tomcat-9.0.26

# Michał Górny <mgorny@gentoo.org> (2019-09-16)
# Unmaintained.  Fails to build.  Last release in 2004.  EAPI 0.
# Removal in 30 days.  Bug #592360.
net-mail/mailsync

# Lars Wendler <polynomial-c@gentoo.org> (2019-09-04)
# Unofficial build. Superseded by official 2.49.5 release.
# Masked for removal.
=www-client/seamonkey-2.49.9.1_p0

# Matt Turner <mattst88@gentoo.org> (2019-09-01)
# <dev-scheme/guile-2 is package.mask'd
<media-sound/lilypond-2.19

# Matt Turner <mattst88@gentoo.org> (2019-09-01)
# TeXmacs is the only remaining package in tree that requires guile-1.8, which
# is unsupported upstream. A TeXmacs port to Guile-2 has been in progress for a
# few years. Bug #436400
app-office/texmacs
<dev-scheme/guile-2

# Mart Raudsepp <leio@gentoo.org> (2019-08-18)
# Fails to dbus activate properly for me. Help welcome figuring it out.
net-misc/gnome-remote-desktop

# Mart Raudsepp <leio@gentoo.org> (2019-07-28)
# GNOME 3.33 development release packages
>=dev-libs/vala-common-0.45
dev-lang/vala:0.46

# Georgy Yakovlev <gyakovlev@gentoo.org> (2019-07-26)
# Mask 5.x version
# It breaks hundreds of py2 ebuilds and not all deps are keyworded
>=dev-python/pytest-5.0.1

# Brian Evans <grknight@gentoo.org> (2019-07-25)
# Mask new beta versions until release
dev-lang/php:7.4
~virtual/httpd-php-7.4

# Robin H. Johnson <robbat2@gentoo.org> (2019-07-08)
# Needs LOTS of testing, broke boot on my laptop in early attempts, maybe needs
# matching genkernel work?
>=sys-fs/lvm2-2.03

# Daniel Pielmeier <billie@gentoo.org> (2019-07-06)
# Requires >=dev-lang/lua-5.2 which is masked
>=app-admin/conky-1.11.4

# Andreas K. Hüttel <dilfridge@gentoo.org> (2019-05-11)
# Perl 5.24 will be removed soon. Please upgrade.
<dev-lang/perl-5.26.2
=virtual/perl-Archive-Tar-2.40.100_rc-r6
=virtual/perl-B-Debug-1.230.0-r3
=virtual/perl-CPAN-2.110.100_rc-r6
=virtual/perl-CPAN-Meta-2.150.5-r1
=virtual/perl-Carp-1.400.0-r1
=virtual/perl-Compress-Raw-Bzip2-2.69.0-r1
=virtual/perl-Compress-Raw-Zlib-2.69.0-r1
=virtual/perl-DB_File-1.835.0-r3
=virtual/perl-Data-Dumper-2.160.0-r1
=virtual/perl-Devel-PPPort-3.320.0-r1
=virtual/perl-Digest-MD5-2.540.0-r3
=virtual/perl-Digest-SHA-5.950.100_rc-r6
=virtual/perl-Encode-2.800.100_rc-r4
=virtual/perl-ExtUtils-MakeMaker-7.100.200_rc-r4
=virtual/perl-ExtUtils-ParseXS-3.310.0-r1
=virtual/perl-File-Spec-3.630.100_rc-r4
=virtual/perl-Filter-Simple-0.920.0-r3
=virtual/perl-Getopt-Long-2.480.0-r1
=virtual/perl-HTTP-Tiny-0.56.1_rc-r4
=virtual/perl-I18N-LangTags-0.400.0-r5
=virtual/perl-IO-1.360.100_rc-r4
=virtual/perl-IO-Compress-2.69.1_rc-r4
=virtual/perl-IO-Socket-IP-0.370.0-r3
=virtual/perl-IPC-Cmd-0.920.100_rc-r6
=virtual/perl-JSON-PP-2.273.0.100_rc-r6
=virtual/perl-Locale-Maketext-1.260.100_rc-r6
=virtual/perl-Math-BigInt-1.999.715-r2
=virtual/perl-Math-BigInt-FastCalc-0.400.0-r1
=virtual/perl-Math-BigRat-0.260.802-r1
=virtual/perl-Math-Complex-1.590.0-r9
=virtual/perl-Module-CoreList-5.201.709.220-r2
=virtual/perl-Module-Load-Conditional-0.640.0-r3
=virtual/perl-Module-Metadata-1.0.31-r1
=virtual/perl-Net-Ping-2.430.100_rc-r6
=virtual/perl-Parse-CPAN-Meta-1.441.700.100_rc-r4
=virtual/perl-Perl-OSType-1.9.0-r1
=virtual/perl-Pod-Simple-3.320.0-r1
=virtual/perl-Safe-2.390.0-r3
=virtual/perl-Scalar-List-Utils-1.420.200_rc-r1
=virtual/perl-Storable-2.560.100_rc-r4
=virtual/perl-Sys-Syslog-0.330.100_rc-r6
=virtual/perl-Term-ANSIColor-4.40.0-r1
=virtual/perl-Term-ReadLine-1.150.0-r3
=virtual/perl-Test-1.280.100_rc-r4
=virtual/perl-Test-Harness-3.360.100_rc-r3
=virtual/perl-Test-Simple-1.1.14_p522-r2
=virtual/perl-Thread-Queue-3.90.0-r1
=virtual/perl-Thread-Semaphore-2.120.0-r9
=virtual/perl-Unicode-Collate-1.140.0-r2
=virtual/perl-XSLoader-0.220.0-r4
=virtual/perl-bignum-0.420.100_rc-r4
=virtual/perl-libnet-3.80.100_rc-r4
=virtual/perl-parent-0.234.0-r1
=virtual/perl-podlators-4.70.0-r1
=virtual/perl-threads-2.70.0-r1
=virtual/perl-threads-shared-1.510.0-r1
=virtual/perl-version-0.991.600-r1

# Georgy Yakovlev <gyakovlev@gentoo.org> (2019-04-17)
# The Oracle JDK License has changed for releases starting 2019-04-16
# While it may be fine to use for some usecases it's not comepletely clear
# what is considered "personal use" and if we can legally distribute it.
# License states:
# "You may not:
# make the Programs available in any manner to any third party"
# masking all future versions, removal will follow soon.
# Alternatives: icedtea, icedtea-bin, openjdk, openjdk-bin, openjdk-jre-bin
# Bug: https://bugs.gentoo.org/681828
>dev-java/oracle-jdk-bin-1.8.0.202:1.8
>dev-java/oracle-jre-bin-1.8.0.202:1.8

# Robin H. Johnson <robbat2@gentoo.org> (2019-03-25)
# Requires >=dev-lang/lua-5.3 which is masked
sys-apps/likwid

# Matt Turner <mattst88@gentoo.org> (2019-03-16)
# Previously packaged drivers, now removed from Gentoo.
# Keep this mask in place so users are aware, but can also easily unmask them
# in an overlay if so desired.
x11-drivers/xf86-input-citron
x11-drivers/xf86-video-apm
x11-drivers/xf86-video-ark
x11-drivers/xf86-video-chips
x11-drivers/xf86-video-cirrus
x11-drivers/xf86-video-cyrix
x11-drivers/xf86-video-i128
x11-drivers/xf86-video-i740
x11-drivers/xf86-video-impact
x11-drivers/xf86-video-mach64
x11-drivers/xf86-video-neomagic
x11-drivers/xf86-video-newport
x11-drivers/xf86-video-nsc
x11-drivers/xf86-video-rendition
x11-drivers/xf86-video-s3
x11-drivers/xf86-video-s3virge
x11-drivers/xf86-video-savage
x11-drivers/xf86-video-sis
x11-drivers/xf86-video-sisusb
x11-drivers/xf86-video-sunbw2
x11-drivers/xf86-video-suncg14
x11-drivers/xf86-video-suncg3
x11-drivers/xf86-video-suncg6
x11-drivers/xf86-video-sunffb
x11-drivers/xf86-video-sunleo
x11-drivers/xf86-video-suntcx
x11-drivers/xf86-video-tdfx
x11-drivers/xf86-video-tga
x11-drivers/xf86-video-trident
x11-drivers/xf86-video-tseng
x11-drivers/xf86-video-voodoo

# Eray Aslan <eras@gentoo.org> (2019-03-01)
# Mask experimental software
=mail-mta/postfix-3.5*

# Dennis Lamm <expeditioneer@gentoo.org> (2019-01-29)
# Depends on >=app-text/enchant-2.0.0 which is masked
=gnome-extra/gtkhtml-4.10.0-r1

# Dennis Lamm <expeditioneer@gentoo.org> (2019-01-28)
# Depends on >=app-text/enchant-2.0.0 which is masked
>=app-text/gtkspell-3.0.10

# Dennis Lamm <expeditioneer@gentoo.org> (2019-01-28)
# Depends on >=app-text/enchant-2.1.3 which is masked
>=app-text/gspell-1.8.1

# Miroslav Šulc <fordfrog@gentoo.org> (2019-01-23)
# Depends on >=virtual/{jdk,jre}-11 which is masked
dev-java/ant-eclipse-ecj:4.10
dev-java/eclipse-ecj:4.10

# Thomas Deutschmann <whissi@gentoo.org> (2018-12-10)
# Requires >=dev-lang/lua-5.2 which is masked
>=app-admin/lsyncd-2.2.3

# Andreas Sturmlechner <asturm@gentoo.org> (2018-11-25)
# Masked per security vulnerability CVE-2018-14345, bug #661510
# Keeping it masked while users have unsolved issues with >0.15.0.
<x11-misc/sddm-0.18.0

# Ian Stakenvicius <axs@gentoo.org> (2018-11-07)
# on behalf of Mozilla Project <mozilla@gentoo.org>
# Mask old/vuln thunderbird for removal by 2019,
# see security bug 670102
<mail-client/thunderbird-60.0
<mail-client/thunderbird-bin-60.0

# Thomas Deutschmann <whissi@gentoo.org> (2018-10-12)
# EOL and has known vulnerabilities. Please move to
# Firefox 60 or newer if you can.
<www-client/firefox-60
<www-client/firefox-bin-60

# Andreas Sturmlechner <asturm@gentoo.org> (2018-10-07)
# Masked for more testing especially of reverse-deps.
>=dev-games/ogre-1.11.2

# Thomas Deutschmann <whissi@gentoo.org> (2018-10-06)
# Outdated and vulnerable snapshot; libav-12.3 is the better
# version for now
=media-video/libav-13_pre20171219

# Andreas K. Hüttel <dilfridge@gentoo.org> (2018-09-11)
# Mask transition ebuilds that were needed only for <glibc-2.26
# We will keep them in the tree as long as we have masked
# <glibc-2.26.
~net-libs/libnsl-0
~net-libs/rpcsvc-proto-0

# Michał Górny <mgorny@gentoo.org> (2018-08-01)
# Multiprocessing versions of gemato.  They are known to hang on some
# users, so let's keep them masked until somebody figures out what's
# wrong.  Bug #647964.
~app-portage/gemato-14.1m
~app-portage/gemato-9999m

# Matt Turner <mattst88@gentoo.org> (2018-05-25)
# New package. Needs to interact with media-libs/mesa and
# x11-drivers/nvidia-drivers. Work in progress.
media-libs/libglvnd

# James Le Cuirot <chewi@gentoo.org> (2017-12-17)
# Java 9+ is not yet fully supported on Gentoo. Packages cannot depend
# on it so these virtuals are not yet required. If you wish to use
# Java 9+ then install oracle-(jdk|jre)-bin or openjdk(-bin) directly.
virtual/jdk:11
virtual/jre:11

# Andreas K. Hüttel <dilfridge@gentoo.org> (2017-10-18)
# sys-devel/automake versions 1.4, 1.5, 1.6, 1.7, 1.8
# have known security vulnerabilities, are broken with
# recent Perl (>=5.26.0), and are not used by anything in
# the Gentoo repository. Please uninstall.
sys-devel/automake:1.4
sys-devel/automake:1.5
sys-devel/automake:1.6
sys-devel/automake:1.7
sys-devel/automake:1.8
sys-devel/automake:1.9
sys-devel/automake:1.10

# Gilles Dartiguelongue <eva@gentoo.org> (2017-09-04)
# Incompatible changes in API in Enchant 2. Bug #629838.
>=app-text/enchant-2

# Nicolas Bock <nicolasbock@gentoo.org> (2017-10-31)
# There are multiple unresolved upstream issues with >=jabref-bin-4.0 (#636036).
# If you still would like to use this version, please report any issues to
# upstream.
>=app-text/jabref-bin-4.0

# Hans de Graaff <graaff@gentoo.org> (2017-06-05)
# Bundles obsolete and vulnerable webkit version.
# Upstream has stopped development and recommends using
# headless mode in >=www-client/chromium-59.
# Masked for removal in 90 days. Bug #589994.
www-client/phantomjs
dev-ruby/poltergeist

# Michał Górny <mgorny@gentoo.org> (2017-05-22)
# for Maciej S. Szmigiero <mail@maciej.szmigiero.name>
# Any version above 5.100.138 breaks b43 driver in various ways.
# Also, b43 wiki page says to use 5.100.138. Bug #541080.
>=sys-firmware/b43-firmware-6.30.163.46

# Michał Górny <mgorny@gentoo.org>, Andreas K. Hüttel <dilfridge@gentoo.org>,
# Matthias Maier <tamiko@gentoo.org> (2017-05-21 and later updates)
# These old versions of toolchain packages (binutils, gcc, glibc) are no
# longer officially supported and are not suitable for general use. Using
# these packages can result in build failures (and possible breakage) for
# many packages, and may leave your system vulnerable to known security
# exploits.
# If you still use one of these old toolchain packages, please upgrade (and
# switch the compiler / the binutils) ASAP. If you need them for a specific
# (isolated) use case, feel free to unmask them on your system.
<sys-devel/gcc-5.4
<sys-libs/glibc-2.28
<sys-devel/binutils-2.32-r1
<sys-devel/binutils-hppa64-2.32-r1
<sys-libs/binutils-libs-2.32-r1

# Michał Górny <mgorny@gentoo.org> (2017-05-20)
# Old versions of CUDA and their reverse dependencies. They do not
# support GCC 5+, and are really old.
# (updated 2017-12-27 with cuda < 8 because of gcc < 5 mask)
<dev-python/pycuda-2016
<dev-util/nvidia-cuda-sdk-8
<dev-util/nvidia-cuda-toolkit-8
net-wireless/cpyrit-cuda

# Michael Orlitzky <mjo@gentoo.org> (2017-01-07)
# This package has some dangerous quality and security issues, but
# people may still find it useful. It is masked to prevent accidental
# use. See bugs 603346 and 604998 for more information.
app-admin/amazon-ec2-init

# Robin H. Johnson <robbat2@gentoo.org> (2017-01-05)
# Masking for testing
=app-emulation/ganeti-2.16*
=app-emulation/ganeti-2.17*

# Michał Górny <mgorny@gentoo.org> (2016-11-17)
# New version masked for testing. It supports source-window buffer size
# over 2G but it 'currently performs 3-5% slower and has 1-2% worse
# compression'.
>=dev-util/xdelta-3.1.0

# Tim Harder <radhermit@gentoo.org> (2016-11-03)
# Masked for testing
=sys-fs/fuse-3*
=net-fs/sshfs-3*

# Andreas K. Hüttel <dilfridge@gentoo.org> (2016-04-03)
# Can exhaust all available memory depending on task
# but is made available for experts who heed this warning
# as newer versions produce different output. Contact
# the proxied maintainer Matthew Brewer <tomboy64@sina.cn>
# for questions.
<=media-gfx/slic3r-1.1.9999

# Robin H. Johnson <robbat2@gentoo.org> (2014-08-04)
# Masked for testing, presently fails upstream testsuite:
# FAIL:07:02:35 (00:00:00) db_dump/db_load(./TESTDIR.3/recd001.db:child killed: kill signal): expected 0, got 1
# FAIL:07:02:35 (00:00:00) Dump/load of ./TESTDIR.3/recd001.db failed.
# FAIL:07:02:35 (00:00:00) db_verify_preop: expected 0, got 1
# Lars Wendler <polynomial-c@gentoo.org> (2019-01-25)
# Also masked because of mostly incompatible license (AGPL-3)
=sys-libs/db-6.1*
=sys-libs/db-6.2*
=sys-libs/db-18.1*

# Ulrich Müller <ulm@gentoo.org> (2014-07-15)
# Permanently mask sys-libs/lib-compat and its reverse dependencies,
# pending multiple security vulnerabilities and QA issues.
# See bugs #515926 and #510960.
sys-libs/lib-compat
sys-libs/lib-compat-loki
games-action/phobiaii
games-fps/rtcw
games-fps/unreal
games-strategy/heroes3
games-strategy/smac

# Mikle Kolyada <zlogene@gentoo.org> (2014-06-27)
# Masked for proper testing. (Major updates in the code).
~dev-perl/PortageXS-0.2.12

# Matti Bickel <mabi@gentoo.org> (2014-04-22)
# Masked slotted lua for testing
# William Hubbs <williamh@gentoo.org> (2016-08-07)
# Taking this mask since Mabi is retired
# Rafael Martins <rafaelmartins@gentoo.org> (2016-12-04)
# Adding Lua 5.3 to mask
app-eselect/eselect-lua
=dev-lang/lua-5.1.5-r100
=dev-lang/lua-5.1.5-r101
=dev-lang/lua-5.1.5-r102
=dev-lang/lua-5.2.3
=dev-lang/lua-5.2.3-r1
=dev-lang/lua-5.2.3-r2
=dev-lang/lua-5.2.3-r3
=dev-lang/lua-5.2.4
=dev-lang/lua-5.2.4-r1
=dev-lang/lua-5.3.3
=dev-lang/lua-5.3.3-r1
=dev-lang/lua-5.3.3-r2
=dev-lang/lua-5.3.5
=dev-lang/lua-5.3.5-r1

# Samuli Suominen <ssuominen@gentoo.org> (2012-03-06)
# Masked for testing since this is known to break nearly
# every reverse dependency wrt bug 407091
>=dev-lang/lua-5.2.0

# Mike Gilbert <floppym@gentoo.org> (2014-03-04)
# Dev channel releases are only for people who are developers or want more
# experimental features and accept a more unstable release.
www-plugins/chrome-binary-plugins:unstable

# Diego E. Pettenò <flameeyes@gentoo.org> (2009-01-03)
# These packages are not supposed to be merged directly, instead
# please use sys-devel/crossdev to install them.
dev-libs/cygwin
dev-util/mingw64-runtime
sys-libs/newlib
dev-embedded/avr-libc

# Chris Gianelloni <wolf31o2@gentoo.org> (2008-03-03)
# Masking due to security bug #194607 and security bug #204067
games-fps/doom3
games-fps/doom3-cdoom
games-fps/doom3-chextrek
games-fps/doom3-data
games-fps/doom3-demo
games-fps/doom3-ducttape
games-fps/doom3-eventhorizon
games-fps/doom3-hellcampaign
games-fps/doom3-inhell
games-fps/doom3-lms
games-fps/doom3-mitm
games-fps/doom3-roe
games-fps/quake4-bin
games-fps/quake4-data
games-fps/quake4-demo

# <klieber@gentoo.org> (2004-04-01)
# The following packages contain a remotely-exploitable
# security vulnerability and have been hard masked accordingly.
#
# Please see https://bugs.gentoo.org/show_bug.cgi?id=44351 for more info
#
games-fps/unreal-tournament-goty
games-fps/unreal-tournament-strikeforce
games-fps/unreal-tournament-bonuspacks
games-fps/aaut